'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.HelpButton = exports.HelpDiv = exports.HelpIcon = exports.Bold = exports.HelpPopUp = undefined;

var _templateObject = _taggedTemplateLiteral(['height:30px;'], ['height:30px;']),
    _templateObject2 = _taggedTemplateLiteral(['height:20px;'], ['height:20px;']),
    _templateObject3 = _taggedTemplateLiteral(['height:10px;'], ['height:10px;']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _odeumUi = require('odeum-ui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
// import theme from 'theme/default'


var HelpPopUp = /*#__PURE__*/exports.HelpPopUp = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpPopUp'
})(['background:white;border:1px solid #3f3f3f;z-index:99;height:90vh;width:90vw;position:fixed;left:50%;top:5%;transform:translate(-50%,0);']);

var Bold = /*#__PURE__*/exports.Bold = _styledComponents2.default.b.withConfig({
	displayName: 'HelpStyles__Bold'
})(['font-size:12px;margin-left:4px;']);

var HelpIcon = /*#__PURE__*/exports.HelpIcon = (0, _styledComponents2.default)(_odeumUi.Icon).withConfig({
	displayName: 'HelpStyles__HelpIcon'
})(['&:hover{background:', ';color:white;border-left:1px solid white;}'], function (props) {
	return props.theme.tab.hover;
});

var HelpDiv = /*#__PURE__*/exports.HelpDiv = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpDiv'
})(['position:absolute;right:0;display:flex;flex-flow:row nowrap;cursor:pointer;border-left:1px solid #aaa;height:30px;align-items:center;width:', ';justify-content:center;', ' ', ' ', ' ', ' -webkit-transition:all 100ms ease-in-out;-moz-transition:all 100ms ease-in-out;transition:all 100ms ease-in-out;'], function (props) {
	return props.small ? '30px' : '130px';
}, _media2.default.giant(_templateObject), _media2.default.desktop(_templateObject), _media2.default.tablet(_templateObject2), _media2.default.phone(_templateObject3));

var HelpButton = /*#__PURE__*/exports.HelpButton = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpButton'
})(['padding:0 5px;display:flex;flex-flow:row nowrap;align-items:center;justify-content:center;&:hover{background:', ';color:white;border-left:1px solid white;border-radius:5px;}height:30px;', ' ', ' ', ' ', ''], function (props) {
	return props.theme.tab.selected;
}, _media2.default.giant(_templateObject), _media2.default.desktop(_templateObject), _media2.default.tablet(_templateObject2), _media2.default.phone(_templateObject3));